      SUBROUTINE LININT(XOUT,YOUT,XIN,YIN,XLAST,YLAST,STH1,CTH1,
     1 DELX,DELY,XOFF,YOFF)
C
C   THIS SUBROUTINE CHECKS TO SEE IF DELX,DELY HAVE THE CORRECT SIGN.
C     (I.E. IF THEY PLACE THE OFFSET PT FOR THICKENING LINES ON THE
C     CORRECT LINE SIDE.)  IF THE SIGNS ARE INCORRECT, THEY ARE
C     CHANGED.  (XOFF,YOFF), THE CORRECT PT TO BE OUTPUT, IS RETURNED.
C
      XOFF=XIN+DELX
      YOFF=YIN+DELY
      Y1P=(YOUT-YLAST)*CTH1-(XOUT-XLAST)*STH1
      Y2P=(YOFF-YLAST)*CTH1-(XOFF-XLAST)*STH1
      IF(Y1P.GE.0.0) GO TO 10
      IF(Y2P.LT.0.0) RETURN
      GO TO 20
   10 IF(Y2P.GE.0.0) RETURN
C
C   SET DELX,DELY NEGATIVE.
C
   20 DELX=-DELX
      DELY=-DELY
      XOFF=XIN+DELX
      YOFF=YIN+DELY
      RETURN
      END

